<?php
/**
*Блог - главная
 **/
?>
<!DOCTYPE html>
<html lang="ru">
{% :head %}
<body>
<div id="main-wrap">
    {% :header %}
    <div id="page-content">
        <!--  Page header  -->
        <div class="container">
            <div class="row no-margin">
                <div class="col-md-12 padding-leftright-null">
                    <div id="page-header">
                        <div class="text">
                            <h1 class="margin-bottom-small">{% name %}</h1>
                            <p class="heading left max full grey-dark">
                                {% content %}
                                </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="home-wrap" class="content-section">
            <div class="container">
                <section id="projects" data-isotope="load-simple" class="page padding-onlytop-md padding-onlybottom-lg">
                    <div class="projects-items equal two-columns" style="position: relative; height: 2268px;">
                        <? foreach (\g::pages()->pages(\g::stack()->get('route')['param'], 6) as $k => $row): ?>
                            <div class="single-item one-item design branding" style="position: absolute; left: 0px; top: 0px;">
                                <div class="item">
                                    <img src="<?=$row['img'][0]['900']?>" alt="<?=$row['img'][0]['alt']?>"  title="<?=$row['img'][0]['title']?>">
                                    <div class="content">
                                        <h3><?=$row['name']?></h3>
                                        <p><?=$row['anons']?></p>
                                    </div>
                                    <a href="<?=$row['url']?>" class="link"></a>
                                </div>
                            </div>
                        <? endforeach; ?>
                    </div>

                    <? if (\g::pages()->pagination): ?>
                        <nav style="width: 100%; display: flex; align-items: center; justify-content: center;">
                            <ul class="pagination justify-content-center" style="gap: 10px; display: flex;">
                                <?=
                                \g::tp()->pagination(
                                    '<a href="javascript:;" onclick="location.href = location.pathname + `?page=%d`" class="btn-alt small pag shadow margin-null"><span>%d</span></a>',
                                    '<a href="javascript:;" class="btn-alt small shadow margin-null pag active">%d</a>',
                                    '<a href="javascript:;" class="btn-alt small shadow margin-null pag active">...</a>',
                                    \g::pages()->activePage,
                                    \g::pages()->totalPages,
                                    1
                                );
                                ?>
                            </ul>
                        </nav>
                    <? endif; ?>
                </section>
            </div>
        </div>
    </div>
</div>
{% :footer %}
{% :footer-js %}
</body>
</html>


