<?php
/**
 * Контакты
 **/
?>
<!DOCTYPE html>
<html lang="ru">
{% :head %}
<body>
<div id="main-wrap">
    {% :header %}
    <div id="page-content">
        <div class="container">
            <div class="row no-margin">
                <div class="col-md-12 padding-leftright-null">
                    <div id="page-header">
                        <div class="text">
                            <h1 class="margin-bottom-small">Контакты</h1>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="home-wrap" class="content-section">
            <div class="row margin-leftright-null">
                <div class="col-md-12 padding-leftright-null map">
                    <div id="map" style="position: relative; overflow: hidden;">
                        <iframe
                                src="https://yandex.ru/map-widget/v1/?lang=ru_RU&amp;scroll=false&amp;um=constructor%3A6e43ae8ccf7b441619b297856ec56679833baab6e85bb8f00f64e9bd2e947117"
                                frameborder="0"
                                allowfullscreen="true"
                                width="100%"
                                height="500px"
                                style="display: block;"
                        ></iframe>
                    </div>
                </div>
            </div>
            <div class="container padding-md-bottom-lg">
                <div class="row no-margin padding-onlytop-lg">
                    <div class="col-md-12 padding-leftright-null">
                        <div class="text padding-topbottom-null">
                            <h2 class="heading margin-bottom-null">Наши контакты</h2>
                        </div>
                    </div>
                    <div class="col-md-12 wrap-text">
                        <div class="col-sm-4 padding-leftright-null">
                            <div class="text small">
                                <p class="small grey-dark">
                                    Email: <a href="mailto: {% s.mail %}" class="grey-dark">{% s.mail %}</a><br>
                                    Телефон: <a href="tel: {% s.phone %}" class="grey-dark">{% s.phone %}</a>
                                </p>
                            </div>
                        </div>
                        <div class="col-sm-8 padding-leftright-null">
                            <form id="contact-form" class="padding-md padding-md-topbottom-null jd_form-to-mail"
                                  data-theme="Форма обратной связи" action="#" method="post">
                                <div class="row no-margin">
                                    <div class="col-md-6 padding-leftright-null">
                                        <div class="text small padding-topbottom-null">
                                            <input type="text" class="form-field form-control" name="name" data-label="Имя:" placeholder="Ваше имя*" required="">
                                        </div>
                                    </div>
                                    <div class="col-md-6 padding-leftright-null">
                                        <div class="text small padding-topbottom-null">
                                            <input type="email" class="form-field form-control" name="email" data-label="Email:" placeholder="Ваш Email*" required="">
                                        </div>
                                    </div>
                                </div>
                                <div class="row no-margin">
                                    <div class="col-md-6 padding-leftright-null">
                                        <div class="text small padding-topbottom-null">
                                            <input type="phone" class="form-field form-control phone_ru" name="phone" data-label="Телефон:" placeholder="Ваш телефон*" required="" maxlength="18">
                                        </div>
                                    </div>
                                    <div class="col-md-6 padding-leftright-null">
                                        <div class="text small padding-topbottom-null">
                                            <textarea class="form-field form-control" name="message" data-label="Сообщение:" rows="1" placeholder="Ваш вопрос"></textarea>
                                        </div>
                                    </div>
                                    <div class="col-md-6 padding-leftright-null">
                                        <div class="text small padding-topbottom-null">
                                            <div class="submit-area padding-onlytop-sm">
                                                <button type="submit" id="submit-contact" class="btn-alt active shadow">Отправить</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% :footer %}
{% :footer-js %}
</body>
</html>

