<?php
/**
 * Политика конфиденциальности
 **/
?>
<!DOCTYPE html>
<html lang="ru">
{% :head %}
<body>
<div id="main-wrap">
    {% :header %}
    <div id="page-content">
        <div class="container">
            <div class="row no-margin">
                <div class="col-md-12 padding-leftright-null">
                    <div id="home-header">
                        <div class="text politik">
                            <h1 class="margin-bottom-small">Политика конфиденциальности</h1>

                            <p>Настоящая Политика конфиденциальности определяет, каким образом <?=\g::settings('company_name')?> собирает, использует, хранит и раскрывает информацию, полученную от пользователей на веб-сайте <?=\g::server()->getDomains()?> ("Сайт"). Данная политика конфиденциальности относится и к Сайту, всем поддоменам Сайта и всем продуктам и услугам, предлагаемым <?=\g::settings('company_name')?></p>
                            <p>Эта страница содержит сведения о том, какую информацию мы или третьи лица могут получать, когда Вы пользуетесь нашим Сайтом. Мы надеемся, что эти сведения помогут Вам принимать осознанные решения в отношении предоставляемой нам информации о себе.</p>
                            <p>Настоящая Политика конфиденциальности распространяется непосредственно на этот Сайт и на информацию, получаемую с его помощью. Она не распространяется ни на какие другие сайты и не применима к веб-сайтам третьих лиц, которые могут содержать упоминание о нашем Сайте и с которых могут делаться ссылки на Сайт, а так же ссылки с этого Сайта на другие сайты сети Интернет.</p>
                            <h3>Важно!</h3>
                            <p>Кассовый чек предоставляется (отправляется) Клиенту в электронном виде на email.</p>
                            <h3>Получаемая информация</h3>
                            <p>Когда Вы посещаете Сайт, мы определяем IP адрес, имя домена с которого Вы к нам пришли (например, "yandex.ru") и страну регистрации данного ip , а так же фиксируем все переходы посетителей с одной страницы Сайта на другую.</p>
                            <p>Сведения, которые мы получаем на Сайте, могут быть использованы для того, чтобы облегчить пользование Сайтом. Сайт собирает только общую информацию, которую Ваш браузер предоставляет добровольно при посещении Сайта.</p>
                            <p>Сайт применяет стандартную технологию "cookies" ("куки") для настройки стилей отображения Сайта под параметры экрана монитора. "Куки" представляет собой данные с веб-сайта, который сохраняет на жестком диске Вашего же компьютера. В "cookies" содержится информация, которая может быть необходимой для настройки Сайта, - для сохранения Ваших установок вариантов просмотра и сбора статистической информации по Сайту, т.е. какие страницы Вы посетили, что было загружено, имя домена интернетпровайдера и страна посетителя, а также адреса сторонних веб-сайтов, с которых совершен переход на Сайт и далее.</p>
                            <p>Также данную технологию использует установленные на Сайте счетчики компании Yandex/Google и т.п.</p>
                            <p>Технология "Cookies" не содержит никаких личных сведений относительно Вас. Чтобы просматривать материал без "cookies", Вы можете настроить свой браузер таким образом, чтобы она не принимала "cookies", либо уведомляла Вас об их посылке (настройки браузеров различны, поэтому советуем Вам получить справку в разделе "Помощь" и выяснить как изменить установки браузера по "cookies"). Подробно о работе куки файлов Вы можете прочитать здесь: https://ru.wikipedia.org/wiki/Cookie.</p>
                            <p>Кроме того, Сайт использует стандартные возможности (журналы) веб-сервера для подсчета количества посетителей и оценки технических возможностей хост-сервера, рейтинги и счетчики посещаемости от сторонних организаций (yandex.ru, top100.rambler.ru, top.mail.ru и др.). Мы используем эту информацию для того, чтобы определить сколько человек посещает Сайт и расположить страницы наиболее удобным для пользователей способом, обеспечить соответствие Сайта с используемыми Вами браузерам, и сделать содержание Сайта максимально полезным для посетителей. Мы записываем сведения по перемещениям на Сайте, но не об отдельных посетителях Сайта, так что никакая конкретная информация относительно Вас лично не будет сохраняться или использоваться Администрацией Сайта без Вашего согласия.</p>
                            <p>Также мы можем собирать личную идентификационную информацию от пользователей, когда пользователь посещает наш Сайт, регистрируется на Сайте, оформляет заказ, заполняет формы и в связи с другой активностью на Сайте. Пользователя могут попросить при необходимости указывать имя, электронный адрес, номер телефона, данные кредитной карты. Пользователи могут, однако, посещать наш Сайт анонимно. Мы собираем личную идентификационную информацию пользователей, только если они добровольно предоставляют нам такую информацию. Пользователи всегда могут отказаться в предоставлении личной идентификационной информации, за исключением случаев, когда это может помешать пользоваться отдельными функциями Сайта.</p>
                            <h3>Как мы используем собранную информацию</h3>
                            <p><?=\g::settings('company_name')?> может собирать и использовать личную информацию пользователей для следующих целей:</p>
                            <ol>
                                <li>Для улучшения обслуживания клиентов. Предоставляемая вами информация помогает нам реагировать на запросы клиентов более эффективно;</li>
                                <li>Чтобы персонализировать пользовательский опыт. Мы можем использовать информацию для определения кто из посетителей Сайта наиболее заинтересован в услугах и ресурсах предоставляемых на нашем Сайте;</li>
                                <li>Для улучшения нашего Сайта. Мы можем использовать обратную связь, которую Вы предоставляете, чтобы улучшить наши продукты и услуги;</li>
                                <li>Для обработки платежей. Мы можем использовать информацию о пользователях при оформлении заказа для оформления платежей и только для этого. Мы не делимся этой информацией с третьими лицами, за исключением тех случаев, когда необходимо для предоставления услуг;</li>
                                <li>Чтобы отправлять пользователям информацию, которую они согласились получать на темы, которые, как мы думаем, будут представлять для них интерес;</li>
                                <li>Чтобы отправить периодические сообщения электронной почты, которые могут включать новости компании, обновления, информацию о продуктах и услугах и т.д. Если пользователь хотел бы отказаться от получения последующих писем, мы включаем подробное описание инструкции по тому, как отписаться в нижней части каждой электронной почты или пользователь может связаться с нами через наш Сайт.</li>
                            </ol>
                            <h3>Персональные данные Пользователя</h3>
                            <p>Вводя личные данные в какой-либо форме обратной связи на Сайте, нажимая кнопку «Отправить», Пользователь принимает решение о предоставлении своих персональных данных и дает согласие на их обработку своей волей и в своем интересе, при этом такое согласие Пользователя является конкретным и сознательным.</p>
                            <p>Персональные данные, полученные от Пользователя, являющегося субъектом персональных данных, ни при каких обстоятельствах не распространяются и не предоставляются третьим лицам без согласия Пользователя, и используются администрацией сайта исключительно в целях заключения договоров с Пользователем или для исполнения уже заключенного договора.</p>
                            <p>Администрация Сайта не проверяет достоверность персональной информации, предоставляемой Пользователями, и не осуществляет проверку их дееспособности. При этом Администрация Сайта исходит из того, что информация, переданная им от пользователей, является достоверной.</p>
                            <p>Пользователь несет ответственность за предоставление персональных данных третьего лица.</p>
                            <p>Личные данные, вводимые Пользователем при заполнении формы обратной связи, обратный звонок, могут быть использованы Администрацией Сайта для подготовки и направления оферты, совершения сделки, выполнения услуги или улучшения качества обслуживания.</p>
                            <p>В отношении персональной информации Пользователя сохраняется ее конфиденциальность. Ни при каких условиях Администрация Сайта не передает персональную информацию Пользователя третьим лицам за исключением случаев, прямо предусмотренных действующим законодательством Российской Федерации.</p>
                            <p>Пользователь соглашается с тем, что Администрация Сайта вправе использовать персональные данные Пользователя для осуществления электронной новостной или рекламной рассылки, в том числе посредством email-писем и SMS-сообщений.</p>
                            <h3>Обработка персональных данных Пользователей</h3>
                            <p>Принятие условий настоящей Политики в части положений об обработке персональных данных, осуществляется путем проставления Пользователем соответствующей отметки при заполнении любой формы обратной связи и является выраженным осознанным согласием Пользователя на обработку персональных данных.</p>
                            <p>Пользователь соглашается с тем, что Администрация Сайта имеет право на хранение и обработку, в том числе и автоматизированную, любой информации, относящейся к персональным данным Пользователя в соответствии с Федеральным законом от 27.07.2006 № 152-ФЗ «О персональных данных», включая сбор, систематизацию, накопление, хранение, уточнение, использование, распространение (в том числе передачу), обезличивание, блокирование, уничтожение персональных данных, предоставленных Пользователем при заполнении формы обратной связи на Сайте.</p>
                            <p>Согласие на обработку персональных данных может быть в любой момент отозвано Пользователем путем письменного обращения в адрес Администрации Сайта. В случае отзыва Пользователем согласия на обработку персональных данных, Администрация Сайта удаляет персональные данные Пользователя и не вправе использовать их в будущем.</p>
                            <h3>Как мы защищаем вашу информацию</h3>
                            <p>Администрацией Сайта обеспечивается конфиденциальность и безопасность при обработке персональных данных. Мы принимаем соответствующие меры безопасности по сбору, хранению и обработке любых собранных данных для защиты их от несанкционированного доступа, изменения, раскрытия или уничтожения Вашей личной  информации (имя пользователя, пароль, информация транзакции и данные, хранящиеся на нашем Сайте).</p>
                            <h3>Общий доступ к личной информации</h3>
                            <p>Мы не продаем, не обмениваем или не даем в аренду личную информацию пользователей. Мы можем предоставлять общие агрегированные демографические данные, не связанные с личной информацией, нашими партнерами и рекламодателями для целей, описанных выше. Мы можем использовать сторонних поставщиков услуг, чтобы помочь нам управлять нашим бизнесом и Сайтом или управлять деятельностью от нашего имени, например, проведение рассылки или статистические и иные исследования. Мы можем делиться этой информацией с этими третьими лицами для ограниченных целей при условии, что Вы дали нам соответствующие разрешения.</p>
                            <h3>Изменения в политике конфиденциальности</h3>
                            <p><?=\g::settings('company_name')?> имеет право по своему усмотрению обновлять данную политику конфиденциальности в любое время. В этом случае мы опубликуем уведомление на главной странице нашего Сайта и сообщим Вам об этом по электронной почте. Мы рекомендуем пользователям регулярно проверять эту страницу для того, чтобы быть в курсе любых изменений о том, как мы защищаем личную информацию, которую мы собираем. Используя Сайт, Вы соглашаетесь с принятием на себя ответственности за периодическое ознакомление с Политикой конфиденциальности и изменениями в ней.</p>
                            <h3>Ваше согласие с этими условиями</h3>
                            <p>Используя этот Сайт, Вы выражаете свое конкретное и осознанное согласие с этой Политикой. Если Вы не согласны с этой политикой, пожалуйста, не используйте наш Сайт. Ваше дальнейшее использование Сайта после внесения изменений в настоящую политику будет рассматриваться как Ваше согласие с этими изменениями.</p>
                            <h3>Отказ от ответственности</h3>
                            <p>Помните, политика конфиденциальности при посещении сторонних Сайтов третьих лиц, не подпадает под действия данного документа. Администрация Сайта не несет ответственности за действия других веб-сайтов.</p>
                            <h3>Как с нами связаться</h3>
                            <p>Если у Вас есть какие-либо вопросы по политике конфиденциальности, использованию Сайта, или иным вопросам, связанным с Сайтом, пожалуйста, свяжитесь с нами:</p>
                            <br>

                            <p><a href="<?=\g::server()->getDomains()?>" target="_blank"><?=\g::server()->getDomains()?></a></p>
                            <p><a href="tel:<?=\g::settings('phone')?>"><?=\g::settings('phone')?></a></p>
                            <p><a href="mailto:<?=\g::settings('access_mail')?>"><?=\g::settings('access_mail')?></a></p>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% :footer %}
{% :footer-js %}
</body>
</html>

