/**
	* DIFI DEF - MIWIX
	* release 1.1
	* 2019
*/

(function ($) {
	"use strict";
	/*Array.prototype.last = function() {
		return this[this.length - 1];
	}*/
	function toMoney(nStr){
		nStr += '';
		x = nStr.split('.');
		x1 = x[0];
		x2 = x.length > 1 ? '.' + x[1] : '';
		var rgx = /(\d+)(\d{3})/;
		while (rgx.test(x1)) {
			x1 = x1.replace(rgx, '$1' + ' ' + '$2');
		}
		return x1 + x2;
	}


	function showInfoMessage(m)
	{
		var modal = $('#infoModal');
		modal.modal('show');

		modal.on('shown.bs.modal', function (e) {
			modal.find('.infoModal__text').text(m);
		})
	}

	function PopUpShow(){
		$("#popup1_order").show();
		var p = $(document).scrollTop();
		$('#popup1_order').css({'top' : p +  'px'});
	}

	function PopUpHide(){
		$("#popup1_order").hide();
	}

	function getQueryParams(qs) {
		qs = qs.split("+").join(" ");
		var params = {},
		tokens,
		re = /[?&]?([^=]+)=([^&]*)/g;

		while (tokens = re.exec(qs)) {
			params[decodeURIComponent(tokens[1])]
			= decodeURIComponent(tokens[2]);
		}

		return params;
	}

	PopUpHide();

	$(document).ready(function(){
		$('.datemask').mask('00/00/0000');
		$('.time').mask('00:00:00');
		$('.date_time').mask('00/00/0000 00:00:00');
		$('.cep').mask('00000-000');
		$('.phone').mask('0000-0000');
		$('.phone_with_ddd').mask('(00) 0000-0000');
		$('.phone_us').mask('(000) 000-0000');
		$('.phone_ru').mask('+0 (000) 000-00-00');
		$('.mixed').mask('AAA 000-S0S');
		$('.cpf').mask('000.000.000-00', {reverse: true});
		$('.cnpj').mask('00.000.000/0000-00', {reverse: true});
		$('.money').mask('000.000.000.000.000,00', {reverse: true});
		$('.money2').mask("#.##0,00", {reverse: true});
		$('.ip_address').mask('099.099.099.099');
		$('.percent').mask('##0,00%', {reverse: true});
		$('.clear-if-not-match').mask("00/00/0000", {clearIfNotMatch: true});
		$('.placeholder').mask("00/00/0000", {placeholder: "__/__/____"});

        $('.user-email').mask("A", {
            translation: {
                "A": { pattern: /[\w@\-.+]/, recursive: true }
            }
        });
	});
	$('.fallback').mask("00r00r0000", {
		translation: {
			'r': {
				pattern: /[\/]/,
				fallback: '/'
			},
			placeholder: "__/__/____"
		}
	});
	$('.selectonfocus').mask("00/00/0000", {selectOnFocus: true});

	$('[data-target="#call__back"]').click(function (e) {
		e.preventDefault();
		let theme = $(this).attr('data-theme'),
			modal = $('#call__back');
		if (theme) {
			modal.find('.modal-title').text(theme);
			modal.find('.jd_form-to-mail').attr('data-theme', theme)
		} else {
			modal.find('.modal-title').text('Напишите нам');
			modal.find('.jd_form-to-mail').attr('data-theme', 'Напишите нам')
		}
	})




	$(document).on('hidden.bs.modal', '.modal.ajax-modal', function () {
		var existsForm = false;

		if ($(this).find('form').length > 0)
		{
			var modalForm = $(this).find('form');

			modalForm.find('*').val('');
			modalForm.find('input[type="radio"]').prop('checked', false);
			modalForm.find('input[type="checkbox"]').prop('checked', false);
			modalForm.find('.error-msg').remove();
			modalForm.find('*').removeClass('error');
		}

		$(this).find('.modal-footer button').removeAttr('disabled');
	});


	$(document).on('shown.bs.modal', '.modal.ajax-modal', function () {
		var existsForm = false,
		thisModal = $(this),
		thisModalBody = thisModal.find('.modal-content'),
		id = (typeof ($(this).attr('data-id')) != 'undefined') ? $(this).attr('data-id') : false,
		action = (typeof ($(this).attr('data-action')) != 'undefined') ? $(this).attr('data-action') : false,
		c = (typeof ($(this).attr('data-c')) != 'undefined') ? $(this).attr('data-c') : false,
		altParams = (typeof ($(this).attr('data-alt-params')) != 'undefined') ? $(this).attr('data-alt-params') : false;

		// load content
		loadContent(id, thisModalBody, action, c);

	});

	function loadContent(id, thisModalBody, action, controller)
	{
		if (id !== false)
		{
			var formData = new FormData();
			formData.append('action', action);

			thisModalBody.addClass('process-ajax');

			formData.append('id', id);

			$.ajax({
				url: '/controllers/'+controller+'.php',
				type: 'POST',
				data: formData,
				success: function (data) {
					var data = JSON.parse(data);

					if (data.result == true)
					{
						thisModalBody.html(data.html);

						// autofocus first element
						if (thisModalBody.parents('.ajax-modal').find('form').length > 0)
						{
							var modalForm = thisModalBody.parents('.ajax-modal').find('form'),
							altParams = (typeof (thisModalBody.parents('.ajax-modal').attr('data-alt-params')) != 'undefined') ? thisModalBody.parents('.ajax-modal').attr('data-alt-params') : false;

							if (altParams != false)
							{
								modalForm.append('<input type="hidden" name="params" value="'+altParams+'">');
							}

							if (modalForm.find('input').first().length > 0)
							{
								modalForm.find('input').first().focus();
							}
							else
							{
								modalForm.find('select').first().focus();
							}
						}
					}
				},
				complete: function()
				{
					thisModalBody.removeClass('process-ajax');


				},
				error: function()
				{
					alert('Ошибка при отправке!');
					thisModalBody.removeClass('process-ajax');
				},
				cache: false,
				contentType: false,
				processData: false
			});
		}
	}

	$(document).on('keyup', '.ajax-modal form input, .ajax-modal form textarea, .ajax-modal form select', function(e){
		$(this).removeClass('error');
		$(this).parents('.form-group').find('.error-msg').remove();
	});


	$(document).on('submit', '.ajax-modal form', function(e){
		e.preventDefault();
		var thisForm = $(this),
		thisModal = $(this).parents('.modal'),
		thisModalContent = thisModal.find('.modal-content'),
		thisModalBody = thisModal.find('.modal-body'),
		modalId = (typeof (thisModal.attr('data-id')) != 'undefined') ? thisModal.attr('data-id') : false,
		formAction = (typeof (thisModal.attr('data-c')) != 'undefined') ? thisModal.attr('data-c') : '',
		thisModalButtons = thisModal.find('.modal-footer').find('button');

		thisModalButtons.attr('disabled', 'disabled');
		thisModalBody.addClass('process-ajax');
		thisForm.find('.error-msg').remove();
		thisForm.find('*').removeClass('error');

		var formData = new FormData(thisForm[0]);
		formData.append('action', thisForm.attr('action'));

		if (modalId !== false)
		{
			formData.append('alt_id', modalId);
		}

		$.ajax({
			url: '/controllers/'+formAction+'.php',
			type: 'POST',
			data: formData,
			success: function (data) {
				var data = JSON.parse(data);

				if (data.result != true)
				{
					if (data.errors)
					{
					$.each(data.errors, function(field, err){
						var f = thisForm.find('[name="'+field+'"]');
						f.addClass('error');
						f.parents('.form-group').append('<div class="error-msg">'+err+'</div>');
					});
					}

					toastr.error(data.message);
				}
				else
				{
					$('#'+thisModal.attr('id')).modal('hide');

					toastr.success(data.message);


					if (typeof(data.afterAction) !== 'undefined')
					{
						var thisModalBody = $(data.afterAction.modalId).find('.modal-body');

						// load content
						loadContent(data.afterAction.id, thisModalBody, data.afterAction.action);
					}
				}
			},
			complete: function()
			{
				thisModalBody.removeClass('process-ajax');
				thisModalButtons.removeAttr('disabled');
			},
			error: function()
			{
				alert('Ошибка при отправке!');
				thisModalBody.removeClass('process-ajax');
				thisModalButtons.removeAttr('disabled');
			},
		cache: false,
		contentType: false,
		processData: false
		});


		});


		$(document).on('click', '*[data-ajax-target]', function(e){
		var ajaxTarget = $(this).attr('data-ajax-target'),
		ajaxId = $(this).attr('data-ajax-id'),
		c = $(this).attr('data-c'),
		altParams = $(this).attr('data-alt-params'),
		ajaxAction = $(this).attr('data-ajax-action');

		$(ajaxTarget).attr('data-id', ajaxId);
		$(ajaxTarget).attr('data-action', ajaxAction);
		$(ajaxTarget).attr('data-alt-params', altParams);
		$(ajaxTarget).attr('data-c', c);
		$(ajaxTarget).modal();
		});

		$(function(){
		var imagesPreview = function(input, placeToInsertImagePreview) {

		if (input.files) {
		var filesAmount = input.files.length;

		for (i = 0; i < filesAmount; i++) {
		var reader = new FileReader();
		reader.fileType = input.files[i].type,
		reader.fileName = input.files[i].name,
		reader.fileSize = input.files[i].size;

		reader.onload = function(event) {
		img = document.createElement("img");
		img.src = event.target.result;
		img.height = 60;
		img.onload = function() {
		window.URL.revokeObjectURL(this.src);
		}

		$(placeToInsertImagePreview).append('<div class="attach-img-thumb" style="background-image:url(\''+img.src+'\');"><img src="'+img.src+'" data-name="'+event.target.fileName+'" data-type="'+event.target.fileType+'" data-size="'+event.target.fileSize+'" alt="" style="height:60px;max-width:200px;margin:5px;" class="j-files-user" data-i="'+i+'"></div>');
		}

		reader.readAsDataURL(input.files[i]);
		}
		return;
		}
		};



			$('input[data-files-attach]').on('change', function(){
				var filesType = $(this).attr('data-files-type');

				if (filesType == 'images') {
					imagesPreview(this, $(this).parents('.form-file-field').find('.files-attach'));
				}
			});
		});

	$(document).on('submit', '.jd_form-to-mail', function(e) {
		e.preventDefault();
		var $form = $(this);

		window.el = $;
		var formData = new FormData();
		var totalImages = $form.find('.fa img').length;

		$form.find('input').attr('disabled', 'disabled');
		$form.find('textarea').attr('disabled', 'disabled');

		if ($form.find('input[type="file"]').length) {
			var fieldName = 'file_attach[]';

			$form.find('.fa img').each(function(count,el) {
				if (!$(this).attr('data-type').match(/(.png)|(.jpeg)|(.jpg)|(.gif)|(.pdf)$/i) || ($(this).attr('data-size') / 1024).toFixed(0) > 1524) {
					alert('Вы выбрали не поддерживаемые типы файла!');
					return false;
				} else {
					var fileSrc = $(this).attr('src'),
					filename = $(this).attr('data-name');

					var ImageURL = $(this).attr('src');
					// Split the base64 string in data and contentType
					var block = ImageURL.split(";");
					// Get the content type of the image
					var contentType = block[0].split(":")[1];// In this case "image/gif"
					// get the real base64 content of the file
					var realData = block[1].split(",")[1];// In this case "R0lGODlhPQBEAPeoAJosM...."

					// Convert it to a blob to upload
					var blob = b64toBlob(realData, contentType);

					formData.append(fieldName, blob, filename);
				}
			});

			if($form.find('input[type="file"]').length) {
				$.each($form.find('input[type="file"]'), function() {
					var name = $(this).attr('name');
					$.each($(this)[0].files, function(count, el) {
						if(!el.type.match(/(.png)|(.jpeg)|(.jpg)|(.gif)|(.pdf)$/i) || ($(this).size / 1024).toFixed(0) > 1524)  return false;

						else {
							formData.append(fieldName, el);
						}
					});
				});
			}
		}

		$.each($form.find('input[type!="file"].form-control, select, textarea, button'), function(count, el) {
			formData.append(el.name, $(el).attr('data-label')+' '+el.value);
		});

		$.each($form.find('input[type="checkbox"]:checked, input[type="radio"]:checked'), function(count, el) {
			formData.append(el.name, $(el).attr('data-label')+' '+el.value);
		});

		formData.append('theme_message', $(this).attr('data-theme'));

		$form.addClass('ajax-loading');

			$.ajax({
				url: '/mail/form-to-mail/',
				type: 'POST',
				headers: {
					"x-miwix-json": true,
				},
				data: formData,
				success: function(data) {
					if (typeof data != 'object') {
						var data = JSON.parse(data);
					}

					if (data.res == true) {
						$('.modal').modal('hide');
						$('.jd_form-to-mail').trigger("reset");
						$form.find(".fa" ).html("");
						PopUpHide();
					}
					showInfoMessage(data.message);
				},
				complete: function(){
					$form.removeClass('ajax-loading');
					$form.find('input').removeAttr('disabled');
					$form.find('textarea').removeAttr('disabled');
				},
				error: function(data){
					showInfoMessage("Ошибка отправки запроса. Сервер временно занят, попробуйте через минуту.");
				},
				cache: false,
				contentType: false,
				processData: false
			});

	});


	function b64toBlob(b64Data, contentType, sliceSize) {
		contentType = contentType || '';
		sliceSize = sliceSize || 512;

		var byteCharacters = atob(b64Data);
		var byteArrays = [];

		for (var offset = 0; offset < byteCharacters.length; offset += sliceSize) {
			var slice = byteCharacters.slice(offset, offset + sliceSize);

			var byteNumbers = new Array(slice.length);
			for (var i = 0; i < slice.length; i++) {
				byteNumbers[i] = slice.charCodeAt(i);
			}

			var byteArray = new Uint8Array(byteNumbers);

			byteArrays.push(byteArray);
		}

		var blob = new Blob(byteArrays, {type: contentType});
		return blob;
	}
	/**************** отзывы **********************/
	window.onload = function() {
		$('.jd-comments_form').submit(function(){
			var s = $(this).serialize();
			var form = $(this);
			$.ajax({
				type: "POST",
				url: "/comments-add/",
				headers: {
					"x-miwix-json": true,
				},
				data: s,
				success: function(data) {
					if (typeof data != 'object')
						data = JSON.parse(data);
					if (data.res == true) {
						alert(data.message);
						$('.jd-comments_form').hide(300)
						$('.jd-open-comments').show(300)
						$(form)[0].reset();
					} else {
						let message = '';
						for (k in data.errors) {
							message = message + '\r\n' + data.errors[k]
						}
						alert(message);
					}
				}
			});
			return false;
		});

		$('.jd-comments_reply').click(function(){
			var id = $(this).attr('data-id');
			var name = $(this).attr('data-name');
			$('.jd-comments_form input[name="parent_id"]').val(id);
			$('.jd-comments_form .jd-comments_answer').html('Комментарий для: '+name+'<span class="jd-comments_answer-remove" title="Отменить">x</span>');
			$('html, body').animate({scrollTop: $('.jd-comments_form').offset().top-200});
			$('.jd-comments_form').stop().slideDown();
		});

		$(document).on('click', '.jd-comments_answer-remove', function(){
			$('.jd-comments_form input[name="parent_id"]').val("0");
			$('.jd-comments_form .jd-comments_answer').empty();
		});

		$('.jd-open-comments').click(function(e){
			$('.jd-comments_form').stop().slideDown();
			$(this).hide();
			e.preventDefault();
		});
	}
	/*************** конец отзывов **********************/
	$(document).ready(function() {
		function imagesGallerySize() {
			let el = $('.gallery-wrap .img-wrap img'),
				w = el.width(),
				count = el.length,
				ws = 0,
				hs = 0,
				wp = 0,
				hp = 0;

			el.map(function (k, v) {
				wp += v.naturalWidth
				hp += v.naturalHeight
			})

			ws = wp / count
			hs = hp / count

			let ratio = ws / hs;
			$('.gallery-wrap .img-wrap img').height(w / ratio)
		}

		imagesGallerySize();
		$(window).resize(function() {
			imagesGallerySize();
		});
	});
	$(document).on('click', 'a[href^="tel:"]', function (e) {
		$.ajax({
			type: "GET",
			url: "/statistics/phone-click/",
			headers: {
				"x-miwix-json": true,
			}
		});
	})
	$('.block-products-carousel__cell a').click(function (e) {
		e.preventDefault();
		let url = $(this).attr('href');
		if (url) {
			document.location.href = url;
		}
	});

	const limit_group = 4;

	const useful = $('#it_can_be_useful');
	const useful_parents_wrapp = useful.find('.parents-wrapp');
	const useful_parents = {};
	let useful_page = 1;
	let is_views_useful = false;
	let count_items_useful = useful.find('.items--group [data-group="true"]').length;
	let useful_parent_url = 'all';

	useful.find('.items--group [data-group="true"]').each(function (k, v) {
		let parent_name = $(v).data('parent-name');
		let parent_url = $(v).data('parent-url');
		if (k >= limit_group) {
			$(v).css('display', 'none');
			is_views_useful = true;
		}
		useful_parents[parent_url] = {
			'name': parent_name,
			'url': parent_url
		};
	});

	Object.keys(useful_parents).forEach(function (k) {
		useful_parents_wrapp.append(`<a href="#${useful_parents[k].url}" title="${useful_parents[k].name}">${useful_parents[k].name}</a>`);
	});

	useful_parents_wrapp.on('click', 'a', function (e) {
		e.preventDefault();
		useful_parent_url = ($(this).attr('href')).replace(/#/, '');
		useful_page = 1;
		useful_views(limit_group * useful_page);
	});

	if (is_views_useful) {
		useful.find('.btn.show_more').css('display', 'block');
	}

	useful.find('.btn.show_more').click(function (e) {
		e.preventDefault();
		useful_page++;
		let scrollTop = $(document).scrollTop();
		useful_views(limit_group * useful_page);
		$(document).scrollTop(scrollTop);
	});

	function useful_views(limit) {
		useful.find('.items--group [data-group="true"]').css('display', 'none');
		if (useful_parent_url === 'all') {
			count_items_useful = useful.find('.items--group [data-group="true"]').length;
			useful.find('.items--group [data-group="true"]').each(function (k, v) {
				if (k >= limit) {
					$(v).css('display', 'none');
				} else {
					$(v).css('display', 'block');
				}
			});
		} else {
			count_items_useful = useful.find('.items--group [data-group="true"][data-parent-url="' + useful_parent_url + '"]').length;
			useful.find('.items--group [data-group="true"][data-parent-url="' + useful_parent_url + '"]').each(function (k, v) {
				if (k >= limit) {
					$(v).css('display', 'none');
				} else {
					$(v).css('display', 'block');
				}
			});
		}

		if (count_items_useful <= limit) {
			useful.find('.btn.show_more').css('display', 'none');
		} else {
			useful.find('.btn.show_more').css('display', 'block');
		}
	}

	const buy_product = $('#buy_product');
	const buy_product_parents_wrapp = buy_product.find('.parents-wrapp');
	const buy_product_parents = {};
	let buy_product_page = 1;
	let is_views_buy_product = false;
	let count_items_buy_product = buy_product.find('.items--group [data-group="true"]').length;
	let buy_product_parent_url = 'all';

	buy_product.find('.items--group [data-group="true"]').each(function (k, v) {
		let parent_name = $(v).data('parent-name');
		let parent_url = $(v).data('parent-url');
		if (k >= limit_group) {
			$(v).css('display', 'none');
			is_views_buy_product = true;
		}
		buy_product_parents[parent_url] = {
			'name': parent_name,
			'url': parent_url
		};
	});

	Object.keys(buy_product_parents).forEach(function (k) {
		buy_product_parents_wrapp.append(`<a href="#${buy_product_parents[k].url}" title="${buy_product_parents[k].name}">${buy_product_parents[k].name}</a>`);
	});

	buy_product_parents_wrapp.on('click', 'a', function (e) {
		e.preventDefault();
		buy_product_parent_url = ($(this).attr('href')).replace(/#/, '');
		buy_product_page = 1;
		buy_product_views(limit_group * buy_product_page);
	});

	if (is_views_buy_product) {
		buy_product.find('.btn.show_more').css('display', 'block');
	}

	buy_product.find('.btn.show_more').click(function (e) {
		e.preventDefault();
		buy_product_page++;
		let scrollTop = $(document).scrollTop();
		buy_product_views(limit_group * buy_product_page);
		$(document).scrollTop(scrollTop);
	});

	function buy_product_views(limit) {
		buy_product.find('.items--group [data-group="true"]').css('display', 'none');
		if (buy_product_parent_url === 'all') {
			count_items_buy_product = buy_product.find('.items--group [data-group="true"]').length;
			buy_product.find('.items--group [data-group="true"]').each(function (k, v) {
				if (k >= limit) {
					$(v).css('display', 'none');
				} else {
					$(v).css('display', 'block');
				}
			});
		} else {
			count_items_buy_product = buy_product.find('.items--group [data-group="true"][data-parent-url="' + buy_product_parent_url + '"]').length;
			buy_product.find('.items--group [data-group="true"][data-parent-url="' + buy_product_parent_url + '"]').each(function (k, v) {
				if (k >= limit) {
					$(v).css('display', 'none');
				} else {
					$(v).css('display', 'block');
				}
			});
		}

		if (count_items_buy_product <= limit) {
			buy_product.find('.btn.show_more').css('display', 'none');
		} else {
			buy_product.find('.btn.show_more').css('display', 'block');
		}
	}

	$('.cart-views').on('click', '.dropcart__buttons a', function (e) {
		e.preventDefault();
		const el = $(this).parents('.cart-views');
		let totalAmount = parseInt(el.attr('data-total-amount'));

		if (totalAmount >= 1500) {
			window.location.href = $(this).attr('href');
		} else {
			el.find('.dropcart__totals>p').addClass('animate__animated animate__pulse');
			setTimeout(function () {
				el.find('.dropcart__totals>p').removeClass('animate__animated animate__pulse');
			}, 1200);
		}
	});
})(jQuery);